#include<bits/stdc++.h>
using namespace std;
long long dp[200010][110];
vector<int>c;
int main()
{
    string t,s;
    cin >> t >> s;
    int a=t.length(),b=s.length();
    for (int i=0; i<b; i++)
        dp[0][i]=(t[0]==s[i]);
    for (int i=1; i<a; i++)
    {
        for (int j=0; j<b; j++)
        {
            if (t[i]!=s[j])
            {
                dp[i][j]=dp[i-1][j];
                continue;
            }
            dp[i][j]=dp[i-1][j]+1;
            if (j)
            {
                if (dp[i][j]<dp[i-1][j-1])
                    c.push_back(i);
                else
                {
                    dp[i][j]=dp[i-1][j-1];
                    c.clear();
                }
            }
        }
    }
    cout << dp[a-1][b-1] << "\n";
    long long m=dp[a-1][b-1];
    if (s=="a")
    {
        for (int i=0; i<a; i++)
            if (t[i]=='a') t[i]='*';
    }
    else
    {
        bool x=1;
        for (int i=0; i<b; i++)
            x=x&&(s[i]=='a');
        if (x)
        {
            int k=0;
            for (int i=0; i<a && k<m; i++)
                if (t[i]=='a')
                {
                    t[i]='*';
                    k++;
                }
        }
    }
    cout << t;
    return 0;
}